DEVM_CLK_GET(9)

NAME
devm_clk_get - lookup and obtain a managed reference to a clock producer.

SYNOPSIS

struct clk * devm_clk_get(struct device * dev, const char * id);

ARGUMENTS

dev
    device for clock “consumer”

id
    clock consumer ID

DESCRIPTION

Returns a struct clk corresponding to the clock producer, or valid IS_ERR condition containing errno. The implementation uses dev and id to determine the clock consumer, and thereby the clock producer. (IOW, id may be identical strings, but clk_get may return different clock producers depending on dev.)

Drivers must assume that the clock source is not enabled.

devm_clk_get should not be called from within interrupt context.

The clock will automatically be freed when the device is unbound from the bus.

COPYRIGHT